summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2017-11-25 18:55:32 +0100
committerMichał Górny <mgorny@gentoo.org>2017-11-25 19:16:11 +0100
commit0bb06b9dab46cc9095f8c6717a13311907eb6593 (patch)
treedf6a51ecc72020547db74353d20a6e03d23bf3cc /xfce-extra/xfce4-pulseaudio-plugin
parentxfce-extra/xfce4-pulseaudio-plugin: Drop old (diff)
downloadgentoo-0bb06b9dab46cc9095f8c6717a13311907eb6593.tar.gz
gentoo-0bb06b9dab46cc9095f8c6717a13311907eb6593.tar.bz2
gentoo-0bb06b9dab46cc9095f8c6717a13311907eb6593.zip
xfce-extra/xfce4-pulseaudio-plugin: Bump to 0.3.3
Diffstat (limited to 'xfce-extra/xfce4-pulseaudio-plugin')
-rw-r--r--xfce-extra/xfce4-pulseaudio-plugin/Manifest1
-rw-r--r--xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.3.3.ebuild60
2 files changed, 61 insertions, 0 deletions
diff --git a/xfce-extra/xfce4-pulseaudio-plugin/Manifest b/xfce-extra/xfce4-pulseaudio-plugin/Manifest
index 299c3fa6b85..22481169861 100644
--- a/xfce-extra/xfce4-pulseaudio-plugin/Manifest
+++ b/xfce-extra/xfce4-pulseaudio-plugin/Manifest
@@ -1,2 +1,3 @@
DIST xfce4-pulseaudio-plugin-0.2.4.tar.bz2 307315 SHA256 8d9330ddf1d44a864a36d566cce4b76d4f859c5984bba7653d7dc39aa24d5c3e SHA512 b53ab48e282a506fc7fe91fa70520f0db32f2f73653a0210681bf7389f13441d5af8f855604b59817b1fe7a3f41e2d4fe52b052ac0c3479f3f4e37b2afedb193 WHIRLPOOL 8763a9422a7519b5603703306d968f9e020c1bd4b304be0d21bd6353c54e8fa979ef68c513d6e1c398ce6857ad88807a7cb7eefc29d6fba4f12a243eb7205e26
DIST xfce4-pulseaudio-plugin-0.3.2.tar.bz2 396198 SHA256 fd4ae178912dc17ffb16ce887db24545624c7f423a02bd2eab47d52758fa99d8 SHA512 de24d19e2d757316666a8787f7534cad6331a74917e00fbd49740e514b5c5e223f0d1a84cea71a11312024f9baef8fc4b066abcb65538ebb95f1c297087279e1 WHIRLPOOL 85f093ace1fa5550d1acbeccbd033b167c13ede8a47f2b94ceb94642d09ea3905d3dd10341b9ebdf0c933fa799154db7f7e993dd89a6c5a638ecadd49f8ddba7
+DIST xfce4-pulseaudio-plugin-0.3.3.tar.bz2 397373 BLAKE2B 088847dfb7ce661340c5adc03e9aa11b235c58b829c0b0808cff00c92ef57c4f140c4955db613b341f8c78d6c71a694d2110e36c1df3f176d148fd1bb87917ea SHA512 1312a99e609897c446a980307b5c95941fa21b4dc62e920072212492d235e6a75fcf432656d2c035b18a58053cc943f5c680c314f78f5af1a7ae88586b39d1f9
diff --git a/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.3.3.ebuild b/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.3.3.ebuild
new file mode 100644
index 00000000000..4369047f01f
--- /dev/null
+++ b/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.3.3.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils
+
+DESCRIPTION="A panel plug-in for PulseAudio volume control"
+HOMEPAGE="https://git.xfce.org/panel-plugins/xfce4-pulseaudio-plugin/"
+SRC_URI="mirror://xfce/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~x86"
+IUSE="debug keybinder libnotify"
+
+RDEPEND=">=dev-libs/glib-2.42.0:=
+ media-sound/pulseaudio:=
+ >=x11-libs/gtk+-3.20.0:3=
+ >=xfce-base/libxfce4ui-4.11.0:=[gtk3(+)]
+ >=xfce-base/libxfce4util-4.9.0:=
+ >=xfce-base/xfce4-panel-4.11.0:=
+ >=xfce-base/xfconf-4.6.0:=
+ keybinder? ( dev-libs/keybinder:3= )
+ libnotify? ( x11-libs/libnotify:= )"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ virtual/pkgconfig"
+
+src_configure() {
+ local myconf=(
+ $(use_enable keybinder)
+ $(use_enable libnotify)
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+
+ if ! has_version media-sound/pavucontrol; then
+ elog "For the 'audio mixer...' shortcut to work, you need to install"
+ elog "an external mixer application. Please either install:"
+ elog
+ elog " media-sound/pavucontrol"
+ elog
+ elog "or specify another application to use in the 'Properties' dialog."
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}